package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*绩效管理菜单表
* @author quyixiao
* @since 2020-11-02
*/

@Data
@TableName("lz_staff_role_evaluation_group")
@ApiModel(value = "绩效管理菜单表")
public class StaffRoleEvaluationGroup implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //角色id
    @ApiModelProperty(value = "角色id", name = "roleId")
    private Long roleId;
    //考评组 id
    @ApiModelProperty(value = "考评组 id", name = "evaluationGroupId")
    private Long evaluationGroupId;
    //是否选中，0表示未选中，1表示选中
    @ApiModelProperty(value = "是否选中，0表示未选中，1表示选中", name = "isSelect")
    private Integer isSelect;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 角色id 
     * @return
     */
    public Long getRoleId() {
        return roleId;
    }
    /**
     * 角色id 
     * @param roleId
     */
    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    /**
     * 考评组 id 
     * @return
     */
    public Long getEvaluationGroupId() {
        return evaluationGroupId;
    }
    /**
     * 考评组 id 
     * @param evaluationGroupId
     */
    public void setEvaluationGroupId(Long evaluationGroupId) {
        this.evaluationGroupId = evaluationGroupId;
    }

    /**
     * 是否选中，0表示未选中，1表示选中 
     * @return
     */
    public Integer getIsSelect() {
        return isSelect;
    }
    /**
     * 是否选中，0表示未选中，1表示选中 
     * @param isSelect
     */
    public void setIsSelect(Integer isSelect) {
        this.isSelect = isSelect;
    }

    @Override
    public String toString() {
        return "StaffRoleEvaluationGroup{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",roleId=" + roleId +
                ",evaluationGroupId=" + evaluationGroupId +
                ",isSelect=" + isSelect +
                "}";
    }
}